Subject: Re: bug#8623: 23.3.50; (woman "git-remote") crashes

From: Paul Eggert <[email-masked]>
Date: Fri, 06 May 2011 07:47:12 -0700

On 05/06/11 07:39, Stefan Monnier wrote:
> So it seems clear that the problem is due to gcc 4.6.0's optimization.
> Maybe rather than try to port that fix, we could tweak the makefiles so
> as to disable that optimization?

That might be worth a try.  Sven, if you compile with -O2 -fno-strict-aliasing,
does that fix things?  And if that doesn't work, does -O2 -fno-strict-aliasing
-fno-strict-overflow do the trick?

If so, we could tweak the Emacs 23 configure.in so that the
default optimization flag is -O2 -fno-strict-aliasing instead of -O2,
when the compiler accepts the -fno-strict-aliasing flag.  That might be
easier than backporting the fix.